Skip to main content
GET
/
api
/
area
Lists all areas for the current tenant.
curl --request GET \
  --url https://{tenant}.ekso.app/api/area \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "description": "<string>",
    "owner": 123,
    "ownerId": "<string>",
    "archived": true,
    "parentId": "<string>",
    "sequence": 123,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of areas.

entity
null | string
name
string
description
string
owner
integer
ownerId
string
archived
boolean
parentId
string
sequence
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean